22) DS/AIP セキュリティ文書の平文化
DSセキュリティ文書 / AIP暗号化文書 / AIP+DS二重暗号化文書を復号 して平文化
API
| Method | URL |
|---|---|
| POST | /api/entireDecrypt |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| licenseKey | required | string | SHIELDRM 管理者ページの連携アプリ管理メニューで発行されたライセンスを入力 |
| srcFilePath | required | string | 元のセキュリティ文書のパス |
| dstFilePath | required | string | 復号化された一般文書のパス |
| extraInfo | optional | string | JSON形式の追加情報入力(下記のextraInfoデータ説明表およびサンプルデータを参照) |
extraInfo データ説明表
Key Required Type Description source required json name required string 呼び出しシステム名 from required string 呼び出しシステムURL user json id string ユーザーID name string ユーザー名 depart string ユーザー全体部門 (上位グループ/中位グループ/下位グループ) duty string ユーザー職名
- サンプルデータ
{
"source": {
"name": "EKMS",
"from": "https://devekms.softcamp.co.kr"
},
"user": {
"id": "ekmsTest@softcamp.co.kr",
"name": "ekmsTest",
"depart": "임직원/연구소/개발실/개발1팀",
"duty": "과장"
}
}
Response
| Name | Type | Description |
|---|---|---|
| code | int | 0 : 成功 -36 : 一般文書 それ以外の値 : エラー |
| message | string | "OK" : 成功 この文書は暗号化されていません。 : 一般文書 その他の値 エラーメッセージ |
Examples
Request
- Body
{
"licenseKey": "FEFF-0C448-B1D8-A1A9A",
"srcFilePath" : "/opt/shieldrm/data/protectEnc.xlsx",
"dstFilePath" : "/opt/shieldrm/decUnprotect.xlsx",
"extraInfo": "{\"source\":{\"name\":\"EKMS\",\"from\":\"https://devekms.softcamp.co.kr\"}}"
}
Response
- 成功
{
"code": 0,
"message" : "OK"
}
[일반 문서]
{
"code": -36,
"message": "This document is not encrypted."
}
- 失敗
- SDFコンテナエラー
- Status code : 500 INTERNAL_SERVER_ERROR
{
"code": 50001,
"message": "/opt/shieldrm/data/protectEnc.pptx (No such file or directory)"
}
[토큰 검증 실패]
{
"code": 50001,
"message": "{\"code\":40101,\"message\":\"Invalid token\",\"detail\":\"invalid_token\"}"
}
[AIP SDK 에러]
{
"code": 60001,
"message": "com.microsoft.informationprotection.internal.gen.Error: NoAuthTokenError: Client application failed to provide authentication token for HTTP request., CorrelationId=a2d2f6b1-4265-482b-bc7d-18c88f8284bd, CorrelationId.Description=PolicyProfile"
}
[내부 서비스 에러]
{
"code": 50001,
"message": "400 : \"{\"code\":40011,\"message\":\"Unable to AzureInfo\",\"detail\":\"OpenidTenant is Empty\"}\""
}